allowHostDirVolumePlugin: false
allowHostIPC: false
allowHostNetwork: false
allowHostPID: false
allowHostPorts: false
allowPrivilegeEscalation: true
allowPrivilegedContainer: false
allowedCapabilities: null
apiVersion: security.openshift.io/v1
defaultAddCapabilities: null
fsGroup:
  type: RunAsAny
groups: []
kind: SecurityContextConstraints
metadata:
  annotations:
    kubernetes.io/description: anyuid provides all features of the restricted SCC
      but allows users to run with any UID and any GID.
  name: {{ platform.prefix }}-prometheus-anyuid-scc
priority: 10
readOnlyRootFilesystem: false
requiredDropCapabilities:
  - MKNOD
runAsUser:
  type: RunAsAny
seLinuxContext:
  type: MustRunAs
supplementalGroups:
  type: RunAsAny
users:
  - system:serviceaccount:{{ config.prometheus.namespace }}:prometheus-operator-admission
  - system:serviceaccount:{{ config.prometheus.namespace }}:prometheus-operator-operator
  - system:serviceaccount:{{ config.prometheus.namespace }}:prometheus-operator-prometheus
  - system:serviceaccount:{{ config.prometheus.namespace }}:prometheus-operator-grafana
  - system:serviceaccount:{{ config.prometheus.namespace }}:prometheus-operator-kube-state-metrics
volumes:
  - configMap
  - downwardAPI
  - emptyDir
  - persistentVolumeClaim
  - projected
  - secret
